Redmine - Defect #26072

Set default assignee before validation
2017-05-30 17:52 - Felix Schéfer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 3.2.7

Resolution: Fixed Affected version: 3.33
Description

Currently the default assignee is set only after validations. This means that when the field is required the default assignee does not
work.

The following patch changes setting the default assignee to before the validation:

diff --git a/app/models/issue.rb b/app/models/issue.rb

index 7d411fc94..a5ebfbffa 100644

-—— a/app/models/issue.rb

+++ b/app/models/issue.rb

@@ -105,8 +105,8 @@ class Issue < ActiveRecord: :Base
end

+ Dbefore_validation :default_assign, on: :create
before_validation :clear_disabled_fields
- Dbefore_create :default_assign
before_save :close_duplicates, :update_done_ratio_from_issue_status,
:force_updated_on_change, :update_closed_on, :set_assigned_to_was
after_save {|issue| issue.send :after_project_change if !issue.id_changed? && issue.project_id_
changed?}

Related issues:
Related to Redmine - Feature #482: Default assignee on each project Closed
Related to Redmine - Feature #26680: Show default assignee when creating new ... New

Associated revisions

Revision 16619 - 2017-06-06 23:11 - Jean-Philippe Lang
Set default assignee before validation (#26072).

Revision 16628 - 2017-06-07 21:33 - Jean-Philippe Lang
Merged r16619 (#26072).

Revision 16629 - 2017-06-07 21:34 - Jean-Philippe Lang
Merged r16619 (#26072).

History

#1 - 2017-05-31 15:40 - Go MAEDA
- File 26072-reproduce.png added
- Status changed from New to Confirmed

- Target version set to 3.2.7

| can reproduce the problem as follows.
| confirmed that the problem is reproducible and can be fixed by the pasted patch.
New issue

3. A new issue should be created
but actually we see this error.

(D) * Assignee cannot be blank
#2 - 2017-05-31 19:53 - Felix Schéfer

Thank you for confirming this.

Please be aware that this also affects the newly introduced project default assignee, i.e. if an assignee is required and the project has a default
assignee the issue will not be created.

Maybe it would be better to make this more explicit by change the "assignee" field to the default project assignee on new issues, and by changing the
assignee when changing the category if the assignee wasn't changed yet.

#3 - 2017-06-01 02:07 - Go MAEDA

- Related to Feature #482: Default assignee on each project added

#4 - 2017-06-06 23:14 - Jean-Philippe Lang
- Status changed from Confirmed to Resolved
- Assignee set to Jean-Philippe Lang
- Resolution set to Fixed
Fix committed in r16619 with a test.
Felix Schéafer wrote:
Maybe it would be better to make this more explicit by change the "assignee" field to the default project assignee on new issues, and by

changing the assignee when changing the category if the assignee wasn't changed yet.

Agreed, it would be an interesting improvement.

#5 - 2017-06-07 21:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#6 - 2017-09-13 05:33 - Toshi MARUYAMA

- Related to Feature #26680: Show default assignee when creating new issue added
https://www.redmine.org/projects/redmine/repository/svn/revisions/16619
